> For the complete documentation index, see [llms.txt](https://developer.vario-software.de/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.vario-software.de/api-reference/open-item-synch.md).

# Open Item Synch

Streamline open item synchronization in VARIO Cloud via API, matching bank transactions, marking results and booking reconciled payments automatically.

Transaction matching.

## POST /erp/finance/openitemsynchronization

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"OpenItemSynch","description":"Transaction matching."}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/finance/openitemsynchronization":{"post":{"tags":["OpenItemSynch"],"operationId":"synchronizeOperations","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-finance-OpenItemMatchingRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/core-api-OperationMessage"}}}}}}}},"components":{"schemas":{"erp-finance-OpenItemMatchingRequest":{"properties":{"openItemMatchingRules":{"type":"array","description":"Matching rules.","items":{"$ref":"#/components/schemas/erp-finance-OpenItemMatchingRule"}},"bankId":{"type":"integer","format":"int64","description":"Bank for the matching."},"bankAccountId":{"type":"integer","format":"int64","description":"Bank account for the matching after importing the bank transactions per bank account."},"loggingLevels":{"type":"array","description":"Logging Level","items":{"type":"string","description":"Logging Level","enum":["ERROR","WARN","INFO","DEBUG","TRACE"]}}}},"erp-finance-OpenItemMatchingRule":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"bankRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"ruleType":{"type":"string","description":"The type of rule, i.e. used while looking through invoice-related open items","enum":["INVOICE","ORDER","DEPOSIT_INVOICE","NAME","CUSTOMER_NUMBER","SUPPLIER_NUMBER","AMOUNT","EXTERNAL_NUMBER","EXTERNAL_PAYMENT_REFERENCE"]},"points":{"type":"integer","format":"int32","description":"The number of points to award for fit"}}},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"core-api-ApiObjectReference":{"description":"Parent category.","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Active.","readOnly":true}},"required":["id"]},"core-api-OperationMessage":{"properties":{"context":{"type":"string","description":"message context"},"messageValue":{"type":"string","description":" message"}}}}}}
```

## POST /erp/finance/openitemsynchronization/{transactionId}/mark\_manually/{id}

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"OpenItemSynch","description":"Transaction matching."}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/finance/openitemsynchronization/{transactionId}/mark_manually/{id}":{"post":{"tags":["OpenItemSynch"],"operationId":"markManually","parameters":[{"name":"transactionId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/core-api-OperationMessage"}}}}}}}},"components":{"schemas":{"core-api-OperationMessage":{"properties":{"context":{"type":"string","description":"message context"},"messageValue":{"type":"string","description":" message"}}}}}}
```

## POST /erp/finance/openitemsynchronization/{bankAccountId}/unmark\_all

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"OpenItemSynch","description":"Transaction matching."}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/finance/openitemsynchronization/{bankAccountId}/unmark_all":{"post":{"tags":["OpenItemSynch"],"operationId":"unmarkAllForBankAccount","parameters":[{"name":"bankAccountId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/core-api-OperationMessage"}}}}}}}},"components":{"schemas":{"core-api-OperationMessage":{"properties":{"context":{"type":"string","description":"message context"},"messageValue":{"type":"string","description":" message"}}}}}}
```

## POST /erp/finance/openitemsynchronization/mark\_by\_points

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"OpenItemSynch","description":"Transaction matching."}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/finance/openitemsynchronization/mark_by_points":{"post":{"tags":["OpenItemSynch"],"operationId":"markByPoints","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-finance-SyncMarkRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/core-api-OperationMessage"}}}}}}}},"components":{"schemas":{"erp-finance-SyncMarkRequest":{"properties":{"bankAccountId":{"type":"integer","format":"int64","description":"Identifier of the BankAccount the transactions are processed for."},"minimumPoints":{"type":"integer","format":"int32","description":"How many points are the lower limit for earmarking the booking?"}}},"core-api-OperationMessage":{"properties":{"context":{"type":"string","description":"message context"},"messageValue":{"type":"string","description":" message"}}}}}}
```

## POST /erp/finance/openitemsynchronization/book\_with\_points

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"OpenItemSynch","description":"Transaction matching."}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/finance/openitemsynchronization/book_with_points":{"post":{"tags":["OpenItemSynch"],"operationId":"bookWithPoints","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-finance-TransactionFinalizationPointsRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/core-api-OperationMessage"}}}}}}}},"components":{"schemas":{"erp-finance-TransactionFinalizationPointsRequest":{"properties":{"accountId":{"type":"integer","format":"int64","description":"Account identifier."},"points":{"type":"integer","format":"int32","description":"Points from which booking takes place."}}},"core-api-OperationMessage":{"properties":{"context":{"type":"string","description":"message context"},"messageValue":{"type":"string","description":" message"}}}}}}
```

## POST /erp/finance/openitemsynchronization/book\_results

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"OpenItemSynch","description":"Transaction matching."}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/finance/openitemsynchronization/book_results":{"post":{"tags":["OpenItemSynch"],"operationId":"bookResults","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-finance-OpenItemTransactionFinalizationRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/core-api-OperationMessage"}}}}}}}},"components":{"schemas":{"erp-finance-OpenItemTransactionFinalizationRequest":{"properties":{"matches":{"type":"array","description":"matches","items":{"$ref":"#/components/schemas/erp-finance-OpenItemTransactionDistribution"}}}},"erp-finance-OpenItemTransactionDistribution":{"description":"matches","properties":{"openItemTransactionDistributionData":{"type":"array","description":"Transaction distribution data.","items":{"$ref":"#/components/schemas/erp-finance-OpenItemTransactionDistributionData"}},"transactionId":{"type":"integer","format":"int64","description":"transaction Id"},"forceComplete":{"type":"boolean","description":"Forced closing."}}},"erp-finance-OpenItemTransactionDistributionData":{"description":"Transaction distribution data.","properties":{"openItemId":{"type":"integer","format":"int64","description":"item Id"},"reasoning":{"type":"string","description":"Argumentation"}}},"core-api-OperationMessage":{"properties":{"context":{"type":"string","description":"message context"},"messageValue":{"type":"string","description":" message"}}}}}}
```

## POST /erp/finance/openitemsynchronization/book\_marked\_results

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"OpenItemSynch","description":"Transaction matching."}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/finance/openitemsynchronization/book_marked_results":{"post":{"tags":["OpenItemSynch"],"operationId":"bookMarkedResults","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/core-api-OperationMessage"}}}}}}}},"components":{"schemas":{"core-api-OperationMessage":{"properties":{"context":{"type":"string","description":"message context"},"messageValue":{"type":"string","description":" message"}}}}}}
```

## GET /erp/finance/openitemsynchronization/{bankAccountId}/start\_matching

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"OpenItemSynch","description":"Transaction matching."}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/finance/openitemsynchronization/{bankAccountId}/start_matching":{"get":{"tags":["OpenItemSynch"],"operationId":"getWithLock","parameters":[{"name":"bankAccountId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/core-unknownmodule-LeasableLock"}}}}}}}},"components":{"schemas":{"core-unknownmodule-LeasableLock":{"properties":{"key":{"type":"string","minLength":1},"token":{"type":"integer","format":"int64"},"userId":{"type":"integer","format":"int64"},"lockedBySystem":{"type":"boolean"},"validUntil":{"type":"string","format":"date-time"},"id":{"type":"string","description":"Unique identifier of the Object","readOnly":true}},"required":["key","token"]}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developer.vario-software.de/api-reference/open-item-synch.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
